LibreOffice: ModuleUIConfigurationManager Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

Public Member Functions | List of all members
ModuleUIConfigurationManager Service Reference

specifies a user interface configuration manager which gives access to user interface configuration data of a module. More...

`import"ModuleUIConfigurationManager.idl";`

Inheritance diagram for ModuleUIConfigurationManager:

## Public Member Functions
| createDefault ([in] string ModuleShortName, [in] string ModuleIdentifier) raises ( com::sun::star::configuration::CorruptedUIConfigurationException, com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| provides a function to initialize a module user interface configuration manager instance. More...
Public Member Functions inherited from XUIConfigurationPersistence
void | reload () raises ( ::com::sun::star::uno::Exception )
| reloads the configuration data from the storage and reinitialize the user interface configuration manager instance with this data. More...
void | store () raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the storage provided by setStorage() from the storage and initialize the user interface configuration manager instance with the newly data. More...
void | storeToStorage ([in] ::com::sun::star::embed::XStorage Storage) raises ( ::com::sun::star::uno::Exception )
| stores the configuration data to the provided storage, ignoring the previously set storage by setStorage(). More...
boolean | isModified ()
| provides the current modify state of the configuration manager instance. More...
boolean | isReadOnly ()
| provides the current read-only state of the user configuration manager. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XUIConfigurationManager
void | reset ()
| resets the configuration manager to the default user interface configuration data. More...
sequence< sequence< com::sun::star::beans::PropertyValue > > | getUIElementsInfo ([in] short ElementType) raises ( com::sun::star::lang::IllegalArgumentException )
| retrieves information about all user interface elements within the user interface configuration manager. More...
::com::sun::star::container::XIndexContainer | createSettings ()
| creates an empty settings data container. More...
boolean | hasSettings ([in] string ResourceURL) raises ( com::sun::star::lang::IllegalArgumentException )
| determines if the settings of a user interface element is part the user interface configuration manager. More...
::com::sun::star::container::XIndexAccess | getSettings ([in] string ResourceURL, [in] boolean bWriteable) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| retrieves the settings of a user interface element. More...
void | replaceSettings ([in] string ResourceURL, [in] ::com::sun::star::container::XIndexAccess aNewData) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| replaces the settings of a user interface element with new settings. More...
void | removeSettings ([in] string ResourceURL) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| removes the settings of an existing user interface element. More...
void | insertSettings ([in] string NewResourceURL, [in] ::com::sun::star::container::XIndexAccess aNewData) raises ( com::sun::star::container::ElementExistException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::IllegalAccessException )
| inserts the settings of a new user interface element. More...
com::sun::star::uno::XInterface | getImageManager ()
| retrieves the image manager from the user interface configuration manager. More...
com::sun::star::ui::XAcceleratorConfiguration | getShortCutManager ()
| retrieves the keyboard short cut manager from the user interface configuration manager. More...
com::sun::star::uno::XInterface | getEventsManager ()
| retrieves the events manager from the user interface configuration manager. More...
Public Member Functions inherited from XModuleUIConfigurationManager
boolean | isDefaultSettings ([in] string ResourceURL) raises ( com::sun::star::lang::IllegalArgumentException )
| determine if the settings of a user interface element is part of the default layer of the user interface configuration manager. More...
::com::sun::star::container::XIndexAccess | getDefaultSettings ([in] string ResourceURL) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::IllegalArgumentException )
| retrieves the settings from the default layer of the user interface configuration manager if it has a default layer. More...
Public Member Functions inherited from XUIConfiguration
void | addConfigurationListener ([in] ::com::sun::star::ui::XUIConfigurationListener Listener)
| adds the specified listener to receive events when elements are changed, inserted or removed. More...
void | removeConfigurationListener ([in] ::com::sun::star::ui::XUIConfigurationListener Listener)
| removes the specified listener so it does not receive any events from this user interface configuration manager. More...

## Additional Inherited Members
Exported Interfaces inherited from XModuleUIConfigurationManager2
interface | com::sun::star::ui::XUIConfigurationPersistence
| provides access to persistence functions to load/store user interface element settings from/to a module storage. More...
interface | com::sun::star::ui::XUIConfigurationManager
| provides functions to change, insert and remove user interface element settings from a module user interface configuration manager. More...
interface | com::sun::star::ui::XModuleUIConfigurationManager
| provides access to the default layer of a module based ui configuration manager. More...
interface | com::sun::star::ui::XUIConfiguration
| provides functions to add and remove listeners for changes within a module user interface configuration manager. More...

## Detailed Description

specifies a user interface configuration manager which gives access to user interface configuration data of a module.

A module user interface configuration manager supports two layers of configuration settings data:

1. Layer: A module default user interface configuration which describe all user interface elements settings that are used by OpenOffice. It is not possible to insert, remove or change elements settings in this layer through the interfaces.
2. Layer: A module user interface configuration which only contains customized user interface elements and user-defined ones. All changes on user interface element settings are done on this layer.

Since
  OOo 2.0

## Member Function Documentation

## ◆ createDefault()

createDefault | ( | [in] string | ModuleShortName,
|  | [in] string | ModuleIdentifier
| ) |  |
raises | ( | com::sun::star::configuration::CorruptedUIConfigurationException,
|  | com::sun::star::beans::UnknownPropertyException,
|  | com::sun::star::lang::WrappedTargetException
| ) |  |

provides a function to initialize a module user interface configuration manager instance.

A module user interface configuration manager instance needs the following arguments as com::sun::star::beans::PropertyValue to be in a working state:

- DefaultConfigStoragea reference to a com::sun::star::embed::Storage that contains the default module user interface configuration settings.
- UserConfigStoragea reference to a com::sun::star::embed::Storage that contains the user-defined module user interface configuration settings.
- ModuleIdentifierstring that provides the module identifier.
- UserRootCommita reference to a com::sun::star::embed::XTransactedObject which represents the customizable root storage. Every implementation must use this reference to commit its changes also at the root storage.

A non-initialized module user interface configuration manager cannot be used, it is treated as a read-only container.

The documentation for this service was generated from the following file:

- com/sun/star/ui/ModuleUIConfigurationManager.idl